GET/v1/posts/{post_id}

Get post

Fetch a single post with per-destination publish results — external URL, errors, and timestamps.

Request

bash·cURL
curl -X GET "https://YOUR_PROJECT.supabase.co/functions/v1/public-api/v1/posts/{post_id}" \
  -H "Authorization: Bearer px_live_YOUR_KEY"

Response

json·200 OK
{
  "id": "post-uuid",
  "caption": "Hello from the API",
  "status": "published",
  "scheduled_at": null,
  "published_at": "2026-06-22T14:00:05Z",
  "media": ["https://…/storage/v1/object/public/images/…"],
  "social_accounts": ["a1b2c3d4-e5f6-7890-abcd-ef1234567890"],
  "is_draft": false,
  "destinations": [
    {
      "social_account_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "published_at": "2026-06-22T14:00:06Z",
      "external_post_id": "1234567890",
      "external_post_url": "https://www.threads.net/@you/post/…",
      "error_message": null
    }
  ]
}